
# Swarms

Orchestrate enterprise-grade agents for multi-agent collaboration and orchestration to automate real-world problems.

| Core Concepts                                    | How-To Guides                                                  | Examples                                                                                                            | Community                                                                                     |
|--------------------------------------------------|----------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------|
| [Agents](swarms/structs/agent)                   | [Installing Swarms](swarms/install/install)                    | [Swarm of Business Analysts for Business Reports](applications/business-analyst-agent)                             | [Join the Swarms Community!](https://discord.gg/3Zck7nX6)                                      |
| [Memory](swarms/memory/diy_memory)               | [Docker Setup](swarms/install/docker_setup)                    | [Compliance Swarm for Customer Privacy](https://medium.com/@kyeg/building-compliance-agents-with-chroma-db-llama3-sop-prompting-0ed3e73559d2) | [Swarms Ecosystem](https://github.com/kyegomez/swarm-ecosystem)                                |
| [Tools](swarms/tools/main)                       | [Create Custom Tools](https://medium.com/@kyeg/the-swarms-tool-system-functions-pydantic-basemodels-as-tools-and-radical-customization-c2a2e227b8ca)            | [Self-Replicating Hierarchical Swarms](https://medium.com/@kyeg/announcing-neosapiens-self-replicating-swarms-0a47410aafa7)                      | [Support Team](https://cal.com/swarms/swarms-onboarding-session)                               |
| [Tasks](swarms/structs/task)                     | [Multi-Agent Flows](swarms/structs/agent_rearrange)            |                                                                                                                       | [Book a 1 on 1 Call With Founder: Kye](https://cal.com/swarms/swarms-onboarding-session)       |
| [Multi-Agent Orchestration](swarms/structs/agent_rearrange) | [Sequential Workflows](swarms/structs/sequential_workflow)    |                                                                                                                       |                                                                                                |
|                                                  | [Connecting LLMs](https://docs.swarms.world/en/latest/swarms/models/custom_model/)                 |                                                                                                                       |                                                                                                |
|                                                  | [Customizing Agents](./how-to/Customizing-Agents)              |                                                                                                                       |                                                                                                |
|                                                  | [Human Input on Execution](./how-to/Human-Input-on-Execution)  |                                                                                                                       |                                                                                                |
|                                                  | [Agent Monitoring with AgentOps](https://medium.com/@kyeg/enterprise-grade-autonomous-agents-with-production-ready-monitoring-4295f6737bbf) |                                                                                                                       |                                                                                                |